%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Pitivi non linear video editor under Linux
Name:		pitivi
Version: 	2023.03
Release: 	%mkrel 1
License:	LGPLv2+
Group:		Video/Editors and Converters
URL:		https://www.pitivi.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		0001-Fix-plugins-dir-location.patch
BuildRequires:	appstream-util
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	locales
BuildRequires:	meson
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(py3cairo)
BuildRequires:	pkgconfig(python3-embed)
BuildRequires:	gstreamer1.0-validate
Requires:	gnome-video-effects
Requires:	gstreamer1.0-nle
Requires:	gstreamer1.0-python
Requires:	gstreamer1.0-transcoder
Requires:	libpeas-loader-python3
Requires:	librsvg2
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:	python3-numpy
Requires:	python3-matplotlib-gtk3
Requires:	xdg-utils
Recommends:	gstreamer1.0-libav
Recommends:	gstreamer1.0-plugins-good
Recommends:	gstreamer1.0-plugins-bad
Recommends:	gstreamer1.0-plugins-ugly
Recommends:	frei0r

%description
Non Linear Video Editor using the popular GStreamer media framework.

%prep
%setup -q
%autopatch -p1

# install python files to %%python_sitelib/pitivi
sed -i -e 's|/pitivi/python/|/python%{python3_version}/site-packages/|g' meson.build

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS MAINTAINERS README*
%{python3_sitearch}/%{name}/
%{_datadir}/pitivi/
%{_metainfodir}/org.pitivi.Pitivi.appdata.xml
%{_bindir}/pitivi
%{_datadir}/applications/org.pitivi.Pitivi.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/org.pitivi.Pitivi-mime.xml


%changelog
* Sun Apr 23 2023 daviddavid <daviddavid> 2023.03-1.mga9
+ Revision: 1954597
- new version 2023.03

* Fri Aug 05 2022 wally <wally> 2022.06-1.mga9
+ Revision: 1875418
- new version 2022.06

* Tue Apr 05 2022 umeabot <umeabot> 2021.05-3.mga9
+ Revision: 1844144
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tmb <tmb> 2021.05-2.mga9
+ Revision: 1775382
- rebuild for python 3.10

* Fri Jun 25 2021 wally <wally> 2021.05-1.mga9
+ Revision: 1732178
- new version 2021.05

* Mon Apr 05 2021 wally <wally> 2021.01-1.mga9
+ Revision: 1713670
- new version 2021.01

* Tue Mar 16 2021 tmb <tmb> 2020.09.2-2.mga9
+ Revision: 1703833
- rebuild for python 3.9

* Sun Oct 25 2020 ovitters <ovitters> 2020.09.2-1.mga8
+ Revision: 1639327
- new version 2020.09.2

* Wed Oct 14 2020 wally <wally> 2020.09.1-1.mga8
+ Revision: 1636004
- new version 2020.09.1

* Sun Oct 04 2020 wally <wally> 2020.09-1.mga8
+ Revision: 1632179
- new version 2020.09
+ daviddavid <daviddavid>
- replace BR pkgconfig(gst-transcoder-1.0) for pkgconfig(gstreamer-transcoder-1.0)

* Sun Feb 16 2020 umeabot <umeabot> 0.999-5.mga8
+ Revision: 1533708
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 daviddavid <daviddavid> 0.999-4.mga8
+ Revision: 1445311
- add patch to fix build with python3.8
- rebuild for python3.8

* Thu Apr 18 2019 umeabot <umeabot> 0.999-3.mga7
+ Revision: 1392866
- Rebuild with meson 0.50.1

* Tue Jan 08 2019 daviddavid <daviddavid> 0.999-2.mga7
+ Revision: 1352796
- rebuild for new Python 3.7

* Wed Oct 24 2018 wally <wally> 0.999-1.mga7
+ Revision: 1325089
- new version 0.999

* Sun Sep 23 2018 umeabot <umeabot> 0.99-2.mga7
+ Revision: 1300290
- Mageia 7 Mass Rebuild

* Sun Oct 15 2017 wally <wally> 0.99-1.mga7
+ Revision: 1172223
- new version 0.99

* Sat Aug 05 2017 pterjan <pterjan> 0.98.1-2.mga7
+ Revision: 1136203
- Fix for new find_lang
- Rebuild for python 3.6

* Mon Jul 17 2017 ovitters <ovitters> 0.98.1-1.mga7
+ Revision: 1124549
- new version 0.98.1

* Sun Jan 22 2017 wally <wally> 0.98-2.mga6
+ Revision: 1082930
- silent some build time warnings

* Sat Jan 21 2017 ovitters <ovitters> 0.98-1.mga6
+ Revision: 1082695
- new version 0.98

* Mon Nov 28 2016 ovitters <ovitters> 0.97.1-1.mga6
+ Revision: 1070579
- new version 0.97.1
- new version 0.96

* Mon Jun 27 2016 blino <blino> 0.95-3.mga6
+ Revision: 1037749
- require python3-matplotlib-gtk3
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ wally <wally>
- require python3-matplotlib

* Mon Nov 23 2015 ovitters <ovitters> 0.95-1.mga6
+ Revision: 905136
- new version 0.95

* Sat Oct 10 2015 wally <wally> 0.94-7.mga6
+ Revision: 889264
- require gstreamer1.0-nle

* Sat Oct 10 2015 wally <wally> 0.94-6.mga6
+ Revision: 889220
- drop requires for gstreamer1.0-editing-services

* Sat Oct 10 2015 wally <wally> 0.94-5.mga6
+ Revision: 889212
- require gstreamer1.0-editing-services
- drop gstreamer1.0-gnonlin requires

* Wed Oct 07 2015 ovitters <ovitters> 0.94-4.mga6
+ Revision: 887186
- rebuild for new python3

* Sat Dec 06 2014 wally <wally> 0.94-3.mga5
+ Revision: 801698
- recommend frei0r

* Sat Dec 06 2014 wally <wally> 0.94-2.mga5
+ Revision: 801694
- require gnome-video-effects
- recommend gstreamer1.0-plugins-{good,bad,ugly}

* Tue Nov 18 2014 wally <wally> 0.94-1.mga5
+ Revision: 797775
- new version 0.94
- switch to python3

* Sat Oct 25 2014 wally <wally> 0.93-6.mga5
+ Revision: 793352
- require librsvg2

* Sat Oct 25 2014 wally <wally> 0.93-5.mga5
+ Revision: 793343
- add patch from upstream to fix crash on startup
- require python-numpy

* Wed Oct 15 2014 umeabot <umeabot> 0.93-4.mga5
+ Revision: 745325
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.93-3.mga5
+ Revision: 687606
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Mar 21 2014 fwang <fwang> 0.93-1.mga5
+ Revision: 606360
- 0.93

* Sat Nov 09 2013 wally <wally> 0.92-4.mga4
+ Revision: 550096
- disable static build and drop .la files
- install python files again to %%python_sitelib

* Fri Nov 08 2013 wally <wally> 0.92-3.mga4
+ Revision: 549977
- require python-gi-cairo

* Fri Nov 08 2013 wally <wally> 0.92-2.mga4
+ Revision: 549965
- require gstreamer1.0-python

* Mon Nov 04 2013 fwang <fwang> 0.92-1.mga4
+ Revision: 549385
- fix linkage
- new version 0.92

* Sat Nov 02 2013 fwang <fwang> 0.91-8.mga4
+ Revision: 548840
- add python-gi for requires

* Sat Nov 02 2013 fwang <fwang> 0.91-7.mga4
+ Revision: 548836
- add suggests on libav

* Sat Nov 02 2013 fwang <fwang> 0.91-6.mga4
+ Revision: 548832
- fix typo

* Thu Oct 31 2013 fwang <fwang> 0.91-5.mga4
+ Revision: 548121
- add back gnonlin requires

* Tue Oct 22 2013 fwang <fwang> 0.91-4.mga4
+ Revision: 542476
- update requires

* Mon Oct 21 2013 umeabot <umeabot> 0.91-3.mga4
+ Revision: 540927
- Mageia 4 Mass Rebuild
+ neoclust <neoclust>
- Fix minimum gnonlin required version

* Thu Oct 10 2013 fwang <fwang> 0.91-1.mga4
+ Revision: 494564
- pkg isn't noarch anymore
- new version 0.91

* Sun Jan 13 2013 umeabot <umeabot> 0.15.2-3.mga3
+ Revision: 377761
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 ovitters <ovitters> 0.15.2-2.mga3
+ Revision: 322369
- clean spec
- fix group

* Thu May 03 2012 ovitters <ovitters> 0.15.2-1.mga3
+ Revision: 234681
- new version 0.15.2

* Sat Feb 25 2012 wally <wally> 0.15.1-1.mga2
+ Revision: 214323
- new version 0.15.1

* Wed Sep 28 2011 wally <wally> 0.15.0-1.mga2
+ Revision: 149955
- new version 0.15.0

* Mon Sep 12 2011 fwang <fwang> 0.14.91-1.mga2
+ Revision: 142575
- new version 0.14.91
+ wally <wally>
- require pyxdg (mdv#64026)
- require frei0r
- install python files to %%python_sitelib
- change suggests to requires
- clean .spec
- imported package pitivi


* Sat Aug 13 2011 Götz Waschk <waschk@mandriva.org> 0.14.2-1mdv2012.0
+ Revision: 694414
- update build deps
- new version
- add help

* Mon Jul 11 2011 Götz Waschk <waschk@mandriva.org> 0.14.1-1
+ Revision: 689438
- update to new version 0.14.1

* Wed Jun 01 2011 Götz Waschk <waschk@mandriva.org> 0.14.0-1
+ Revision: 682353
- new version
- drop patch
- update file list
- xz tarball

* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 0.13.5-5
+ Revision: 667776
- mass rebuild

* Mon Nov 15 2010 Maarten Vanraes <alien@mandriva.org> 0.13.5-4mdv2011.0
+ Revision: 597778
- fixes a crash when using the zoom slider

* Fri Nov 05 2010 Götz Waschk <waschk@mandriva.org> 0.13.5-3mdv2011.0
+ Revision: 593771
- update deps as suggested by Maarten Vanraes

* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 0.13.5-2mdv2011.0
+ Revision: 591472
- rebuild for new python 2.7

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.13.5-1mdv2011.0
+ Revision: 579004
- update to new version 0.13.5

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 0.13.4.3-1mdv2011.0
+ Revision: 577624
- update to new version 0.13.4.3

* Wed Sep 08 2010 Götz Waschk <waschk@mandriva.org> 0.13.4.2-1mdv2011.0
+ Revision: 576865
- update to new version 0.13.4.2

* Sun Mar 14 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.13.4-2mdv2010.1
+ Revision: 518786
- add missing requires

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 0.13.4-1mdv2010.1
+ Revision: 517551
- update to new version 0.13.4

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 0.13.3.2-1mdv2010.1
+ Revision: 517218
- update to new version 0.13.3.2

* Sat Sep 12 2009 Götz Waschk <waschk@mandriva.org> 0.13.3-1mdv2010.0
+ Revision: 438549
- new version
- drop patch
- update gnonlin dep
- update file list

* Thu Aug 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.2-1mdv2010.0
+ Revision: 416100
- update to new version 0.13.2

* Thu Aug 06 2009 Götz Waschk <waschk@mandriva.org> 0.13.1.3-2mdv2010.0
+ Revision: 410554
- update deps

* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.1.3-1mdv2010.0
+ Revision: 410338
- update to new version 0.13.1.3

* Fri Jul 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.1.2-1mdv2010.0
+ Revision: 399407
- update to new version 0.13.1.2

* Wed May 27 2009 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2010.0
+ Revision: 380149
- update to new version 0.13.1

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.0.3-1mdv2010.0
+ Revision: 379302
- Update to new version 0.13.0.3
- Rediff desktop patch

* Thu May 21 2009 Götz Waschk <waschk@mandriva.org> 0.13.0.2-1mdv2010.0
+ Revision: 378315
- new version
- rediff patch 0
- drop patch 1
- update file list
- fix source URL

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 0.11.3-3mdv2009.1
+ Revision: 355694
- fix bug #48312 (crash on start)

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 0.11.3-2mdv2009.1
+ Revision: 320489
- rebuild for new python

* Fri Dec 12 2008 Funda Wang <fwang@mandriva.org> 0.11.3-1mdv2009.1
+ Revision: 313550
- new version 0.11.3

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 0.11.2.2-1mdv2009.1
+ Revision: 309935
- new version
- fix source URL

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.2-3mdv2009.1
+ Revision: 308108
- require python-pkg-resources not python-setuptools

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 0.11.2-2mdv2009.1
+ Revision: 306281
- add missing dep on python-pygoocanvas (bug #45964)

* Wed Oct 15 2008 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdv2009.1
+ Revision: 294034
- new version

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.11.1.4-1mdv2009.1
+ Revision: 292351
- fix buildrequires
- new version
- update license

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.11.1-6mdv2009.0
+ Revision: 259079
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.11.1-5mdv2009.0
+ Revision: 246985
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 0.11.1-3mdv2008.1
+ Revision: 146369
- add another missing dep
- add missing dep on python-zope-interface (bug #36549)

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2008.1
+ Revision: 109937
- new version

* Sun Oct 14 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2008.1
+ Revision: 98330
- new version
- fix desktop entry

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-2mdv2008.0
+ Revision: 58154
- fix deps

* Thu May 31 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdv2008.0
+ Revision: 33410
- new version

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.2.2-1mdv2008.0
+ Revision: 32132
- new version


* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.0
+ Revision: 115719
- new version

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.1.3-1mdv2007.1
+ Revision: 114481
- new version
- bump deps

* Sat Jan 27 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
+ Revision: 114343
- Import pitivi

* Sat Jan 27 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
- new source URL
- new version

* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.0
- New release 0.10.1

* Fri Jul 07 2006 Götz Waschk <waschk@mandriva.org> 0.10.0-3mdv2007.0
- xdg menu
- fix buildrequires

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- fix deps

* Sat Apr 29 2006 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- update file list
- New release 0.10.0

* Thu Feb 02 2006 Götz Waschk <waschk@mandriva.org> 0.9.9.2-1mdk
- bump deps
- New release 0.9.9.2

* Thu Dec 29 2005 Götz Waschk <waschk@mandriva.org> 0.9.9.1-1mdk
- gst 0.10
- New release 0.9.9.1
- use mkrel

* Tue Jul 05 2005 Götz Waschk <waschk@mandriva.org> 0.1.10-3mdk
- fix deps

* Thu Jun 30 2005 Götz Waschk <waschk@mandriva.org> 0.1.10-2mdk
- fix buildrequires

* Thu Jun 30 2005 Götz Waschk <waschk@mandriva.org> 0.1.10-1mdk
- this is now noarch
- drop the library package
- fix deps
- New release 0.1.10

* Mon Dec 20 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial package

* Thu Dec 02 2004 root <root@pas-r06p01.pas.epita.fr> - 
- Initial build.

